Quattro9SpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a Quattro Spreadsheet More...

## Public Member Functions
| Spreadsheet (int id)
| a constructor
void | update ()
| update the spreadsheet: check for merged cell, ...
WPSRowFormat | getRowHeight (int row) const
| returns the row size in point
std::vector< WPSColumnFormat > | getWidths () const
| return the columns format
void | setColRowSize (int which, int pos, int w)
| set the col/row size in TWIP
void | setColRowSizes (int which, int minPos, int maxPos, int w)
| set the col/row size in TWIP
Vec2f | getPosition (Vec2i const &cell) const
| returns the cell position
Column & | getColumn (int col)
| returns a ref to column data (or to invalidColumn if called with bad column)
std::set< int > | getListSendRow () const
| returns the list of rows which need to be opened, ...
std::vector< Vec2i > | getListCellsInARow (int row) const
| returns the list of columns in which a row cell exists
CellData const * | getCell (Vec2i const &pos) const
| returns the cell corresponding to a position (if it exist)

## Public Attributes
int | m_id
| the spreadsheet id
Vec2i | m_defaultSizes
| the default col/row size in TWIP
std::map< Vec2i, int > | m_sizesMap [2]
| the map Vec2i(min, max) to col/row size in TWIP
std::vector< WPSBox2i > | m_mergedCellList
| the merge cells
std::map< int, Column > | m_colToColumnMap
| a map col to column data

## Private Attributes
Column | m_invalidColumn
| a extra column used to return an invalid column

## Detailed Description

the spreadsheet of a Quattro Spreadsheet

## Constructor & Destructor Documentation

## ◆ Spreadsheet()

Quattro9SpreadsheetInternal::Spreadsheet::Spreadsheet | ( | int | id | ) |
| inline explicit

a constructor

## Member Function Documentation

## ◆ getCell()

CellData const * Quattro9SpreadsheetInternal::Spreadsheet::getCell | ( | Vec2i const & | pos | ) | const
| inline

returns the cell corresponding to a position (if it exist)

## ◆ getColumn()

Column & Quattro9SpreadsheetInternal::Spreadsheet::getColumn | ( | int | col | ) |
| inline

returns a ref to column data (or to invalidColumn if called with bad column)

Referenced by update().

## ◆ getListCellsInARow()

std::vector< Vec2i > Quattro9SpreadsheetInternal::Spreadsheet::getListCellsInARow | ( | int | row | ) | const
| inline

returns the list of columns in which a row cell exists

## ◆ getListSendRow()

std::set< int > Quattro9SpreadsheetInternal::Spreadsheet::getListSendRow | ( |  | ) | const
| inline

returns the list of rows which need to be opened, ...

## ◆ getPosition()

Vec2f Quattro9SpreadsheetInternal::Spreadsheet::getPosition | ( | Vec2i const & | cell | ) | const
| inline

returns the cell position

## ◆ getRowHeight()

WPSRowFormat Quattro9SpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

## ◆ getWidths()

std::vector< WPSColumnFormat > Quattro9SpreadsheetInternal::Spreadsheet::getWidths | ( |  | ) | const
| inline

return the columns format

## ◆ setColRowSize()

void Quattro9SpreadsheetInternal::Spreadsheet::setColRowSize | ( | int | which,
|  | int | pos,
|  | int | w )
| inline

set the col/row size in TWIP

## ◆ setColRowSizes()

void Quattro9SpreadsheetInternal::Spreadsheet::setColRowSizes | ( | int | which,
|  | int | minPos,
|  | int | maxPos,
|  | int | w )
| inline

set the col/row size in TWIP

## ◆ update()

void Quattro9SpreadsheetInternal::Spreadsheet::update | ( |  | ) |
| inline

update the spreadsheet: check for merged cell, ...

## Member Data Documentation

## ◆ m_colToColumnMap

std::map<int, Column> Quattro9SpreadsheetInternal::Spreadsheet::m_colToColumnMap

a map col to column data

Referenced by getCell(), getColumn(), getListCellsInARow(), getListSendRow(), Spreadsheet(), and update().

## ◆ m_defaultSizes

Vec2i Quattro9SpreadsheetInternal::Spreadsheet::m_defaultSizes

the default col/row size in TWIP

Referenced by getColumn(), getPosition(), getRowHeight(), getWidths(), and Spreadsheet().

## ◆ m_id

int Quattro9SpreadsheetInternal::Spreadsheet::m_id

the spreadsheet id

Referenced by Spreadsheet().

## ◆ m_invalidColumn

Column Quattro9SpreadsheetInternal::Spreadsheet::m_invalidColumn
| private

a extra column used to return an invalid column

Referenced by getColumn(), and Spreadsheet().

## ◆ m_mergedCellList

std::vector<WPSBox2i> Quattro9SpreadsheetInternal::Spreadsheet::m_mergedCellList

the merge cells

Referenced by getListSendRow(), Spreadsheet(), and update().

## ◆ m_sizesMap

std::map<Vec2i,int> Quattro9SpreadsheetInternal::Spreadsheet::m_sizesMap[2]

the map Vec2i(min, max) to col/row size in TWIP

Referenced by getListSendRow(), getPosition(), getRowHeight(), getWidths(), setColRowSize(), and setColRowSizes().

The documentation for this class was generated from the following file:

- Quattro9Spreadsheet.cpp